com.google.cloud.dataflow.sdk.transforms

## Class DoFnReflector

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFnReflector

    public abstract class DoFnReflector
    extends Object

Utility implementing the necessary reflection for working with `DoFnWithContext`s.

### Constructor Summary

Constructors
Constructor and Description
`DoFnReflector()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static Class<?>` `getDoFnClass(DoFn<?,?> fn)`
`static DoFnReflector` `of(Class<? extends DoFnWithContext> fn)`
`<InputT,OutputT> DoFn<InputT,OutputT>` `toDoFn(DoFnWithContext<InputT,OutputT> fn)` Create a `DoFn` that the `DoFnWithContext`.
`abstract boolean` `usesSingleWindow()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoFnReflector

    public DoFnReflector()

### Method Detail

#### usesSingleWindow

    public abstract boolean usesSingleWindow()

Returns:
  true if the reflected `DoFnWithContext` uses a Single Window.

#### of

    public static DoFnReflector of(Class<? extends DoFnWithContext> fn)

Returns:
  the `DoFnReflector` for the given `DoFnWithContext`.

#### toDoFn

    public <InputT,OutputT> DoFn<InputT,OutputT> toDoFn(DoFnWithContext<InputT,OutputT> fn)

Create a `DoFn` that the `DoFnWithContext`.

#### getDoFnClass

    public static Class<?> getDoFnClass(DoFn<?,?> fn)